Bug 1539351 - huge interface font size
Summary: huge interface font size
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qgnomeplatform
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-28 07:02 UTC by Brett Kerwin
Modified: 2019-01-18 01:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-10 23:19:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Brett Kerwin 2018-01-28 07:02:20 UTC
Description of problem:
With certain system settings, all Qt5 use an incredibly huge font for their interface.

Version-Release number of selected component (if applicable):
qt5-qtbase-5.9.2-6.fc27

How reproducible:
always

Steps to Reproduce:
1. default install of Fedora 27 (gnome) on a computer with a 2560x1440 display
2. open gnome-tweak-tool and set Fonts/Scaling factor to 1.40 and the four fonts settings to size 12 (Cantarell Bold, Cantarell Regular, Sans Regular, Monospace Regular)
3. open any qt5 app, for instance transmission-qt or kphotoalbum

Actual results:
ridiculously huge font size used in the interface

Expected results:
normal font size

Comment 1 Brett Kerwin 2018-02-02 15:23:48 UTC
I forgot an important detail: in the settings panel, monitor settings, one must select the scale to be 100% instead of the default 200%.

Comment 2 Rex Dieter 2018-02-03 15:22:01 UTC
Triaging to qgnomeplatform, hoping the integration bits there should help handle such scaling issues.

Comment 3 Martin Bříza 2018-02-05 10:23:16 UTC
Is it just the font or everything in the user interface? You can check by making font scaling just 1.0 and then launching a Qt application - if it is still huge, including the images and borders, then it's a overall scaling problem, not just related to fonts.

Comment 4 Brett Kerwin 2018-02-05 20:37:06 UTC
I am mystified: setting font scaling to 1.0 and then back to 1.40 just made the problem disappear completely. Doing this when I reported the bug did not make any difference at the time. I suppose the bug was solved by some unnoticed update in the meantime. Closing.

Comment 5 Martin Bříza 2018-02-06 10:00:54 UTC
Huh? Well, that's odd. I'll try if this happens on my system too or not.
However it may be related to your display specifically. Can you please tell me its diagonal size? Also please definitely reopen this report or create a new one if it happens to you again.

Comment 6 Brett Kerwin 2018-02-07 23:32:06 UTC
Sorry. It seems to be erratic behaviour. Today the bug is present again,
I don't know what may have changed; and now changing the font scaling does not make it disappear. Anyway, setting font scaling to 1.0 and then launching Qt applications makes everything normally small (fonts and images and borders). Setting font scaling back to 1.40 makes just the fonts ridiculously huge.
Diagonal size of the display is 14". Let me know if I can provide any additional information.

Comment 7 Brett Kerwin 2018-07-18 15:16:24 UTC
Same bug in Fedora 28.  Does not happen all the time, but most of the time.

Comment 8 Brett Kerwin 2018-09-22 13:26:56 UTC
Additional info: the bug does not occur with Xorg, only with Wayland (but with Wayland it occurs very, very often).

Comment 9 Fedora Update System 2018-12-05 15:33:42 UTC
qgnomeplatform-0.5-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ffed6308d

Comment 10 Fedora Update System 2018-12-05 15:33:52 UTC
qgnomeplatform-0.5-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-208d6bcf22

Comment 11 Fedora Update System 2018-12-06 01:13:00 UTC
qgnomeplatform-0.5-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-208d6bcf22

Comment 12 Fedora Update System 2018-12-06 02:27:47 UTC
qgnomeplatform-0.5-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ffed6308d

Comment 13 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.

Comment 14 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 15 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 16 Fedora Update System 2019-01-04 14:35:09 UTC
analitza-18.04.3-3.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28 calibre-3.34.0-2.fc28 dnscrypt-proxy-gui-1.21.16-2.fc28 fcitx-qt5-1.2.3-4.fc28 gammaray-2.9.0-5.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.3 hedgewars-0.9.24.1-4.fc28 kf5-akonadi-server-18.08.3-2.fc28 kf5-frameworkintegration-5.53.0-3.fc28 kf5-kdeclarative-5.53.0-3.fc28 kf5-kwayland-5.53.0-3.fc28 kf5-kxmlgui-5.53.0-3.fc28 kwin-5.13.5-2.fc28 libfm-qt-0.11.2-13.fc28 libqtxdg-2.0.0-14.fc28 lxqt-qtplugin-0.11.1-13.fc28 mscore-2.2.1-6.fc28 plasma-integration-5.13.5-2.fc28 pyotherside-1.5.3-14.fc28 python-qt5-5.10.1-5.fc28 pythonqt-3.2-11.fc28 qgnomeplatform-0.5-6.fc28 qstardict-1.3-5.fc28 qt-creator-4.6.2-3.fc28 qt5-5.11.3-1.fc28 qt5-qt3d-5.11.3-1.fc28 qt5-qtbase-5.11.3-1.fc28 qt5-qtcanvas3d-5.11.3-1.fc28 qt5-qtcharts-5.11.3-1.fc28 qt5-qtconnectivity-5.11.3-1.fc28 qt5-qtdatavis3d-5.11.3-1.fc28 qt5-qtdeclarative-5.11.3-1.fc28 qt5-qtdoc-5.11.3-1.fc28 qt5-qtenginio-1.6.2-20.fc28 qt5-qtgamepad-5.11.3-1.fc28 qt5-qtgraphicaleffects-5.11.3-1.fc28 qt5-qtimageformats-5.11.3-1.fc28 qt5-qtlocation-5.11.3-1.fc28 qt5-qtmultimedia-5.11.3-1.fc28 qt5-qtquickcontrols-5.11.3-1.fc28 qt5-qtquickcontrols2-5.11.3-1.fc28 qt5-qtremoteobjects-5.11.3-1.fc28 qt5-qtscript-5.11.3-1.fc28 qt5-qtsensors-5.11.3-1.fc28 qt5-qtserialbus-5.11.3-1.fc28 qt5-qtserialport-5.11.3-1.fc28 qt5-qtspeech-5.11.3-1.fc28 qt5-qtstyleplugins-5.0.0-29.fc28 qt5-qtsvg-5.11.3-1.fc28 qt5-qttools-5.11.3-1.fc28 qt5-qttranslations-5.11.3-1.fc28 qt5-qtvirtualkeyboard-5.11.3-1.fc28 qt5-qtwayland-5.11.3-1.fc28 qt5-qtwebchannel-5.11.3-1.fc28 qt5-qtwebengine-5.11.3-2.fc28 qt5-qtwebkit-5.212.0-0.31.alpha2.fc28 qt5-qtwebsockets-5.11.3-1.fc28 qt5-qtwebview-5.11.3-1.fc28 qt5-qtx11extras-5.11.3-1.fc28 qt5-qtxmlpatterns-5.11.3-1.fc28 qt5ct-0.35-3.fc28 qtcurve-1.9.1-2.fc28 skrooge-2.14.0-3.fc28 texmaker-5.0.2-7.fc28 ugene-1.31.0-4.fc28 xdg-desktop-portal-kde-5.13.5-3.fc28 yarock-1.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 17 Fedora Update System 2019-01-05 01:44:56 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 18 Fedora Update System 2019-01-05 15:46:23 UTC
analitza-18.04.3-3.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28 calibre-3.34.0-2.fc28 dnscrypt-proxy-gui-1.21.16-2.fc28 fcitx-qt5-1.2.3-4.fc28 gammaray-2.9.0-5.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.3 hedgewars-0.9.24.1-4.fc28 kf5-akonadi-server-18.08.3-2.fc28 kf5-frameworkintegration-5.53.0-3.fc28 kf5-kdeclarative-5.53.0-3.fc28 kf5-kwayland-5.53.0-3.fc28 kf5-kxmlgui-5.53.0-3.fc28 kwin-5.13.5-2.fc28 libfm-qt-0.11.2-13.fc28 libqtxdg-2.0.0-14.fc28 lxqt-qtplugin-0.11.1-13.fc28 mscore-2.2.1-6.fc28 plasma-integration-5.13.5-2.fc28 pyotherside-1.5.3-14.fc28 python-qt5-5.10.1-5.fc28 pythonqt-3.2-11.fc28 qgnomeplatform-0.5-6.fc28 qstardict-1.3-5.fc28 qt-creator-4.6.2-3.fc28 qt5-5.11.3-1.fc28 qt5-qt3d-5.11.3-1.fc28 qt5-qtbase-5.11.3-1.fc28 qt5-qtcanvas3d-5.11.3-1.fc28 qt5-qtcharts-5.11.3-1.fc28 qt5-qtconnectivity-5.11.3-1.fc28 qt5-qtdatavis3d-5.11.3-1.fc28 qt5-qtdeclarative-5.11.3-1.fc28 qt5-qtdoc-5.11.3-1.fc28 qt5-qtenginio-1.6.2-20.fc28 qt5-qtgamepad-5.11.3-1.fc28 qt5-qtgraphicaleffects-5.11.3-1.fc28 qt5-qtimageformats-5.11.3-1.fc28 qt5-qtlocation-5.11.3-1.fc28 qt5-qtmultimedia-5.11.3-1.fc28 qt5-qtquickcontrols-5.11.3-1.fc28 qt5-qtquickcontrols2-5.11.3-1.fc28 qt5-qtremoteobjects-5.11.3-1.fc28 qt5-qtscript-5.11.3-1.fc28 qt5-qtscxml-5.11.3-1.fc28 qt5-qtsensors-5.11.3-1.fc28 qt5-qtserialbus-5.11.3-1.fc28 qt5-qtserialport-5.11.3-1.fc28 qt5-qtspeech-5.11.3-1.fc28 qt5-qtstyleplugins-5.0.0-29.fc28 qt5-qtsvg-5.11.3-1.fc28 qt5-qttools-5.11.3-1.fc28 qt5-qttranslations-5.11.3-1.fc28 qt5-qtvirtualkeyboard-5.11.3-1.fc28 qt5-qtwayland-5.11.3-1.fc28 qt5-qtwebchannel-5.11.3-1.fc28 qt5-qtwebengine-5.11.3-2.fc28 qt5-qtwebkit-5.212.0-0.31.alpha2.fc28 qt5-qtwebsockets-5.11.3-1.fc28 qt5-qtwebview-5.11.3-1.fc28 qt5-qtx11extras-5.11.3-1.fc28 qt5-qtxmlpatterns-5.11.3-1.fc28 qt5ct-0.35-3.fc28 qtcurve-1.9.1-2.fc28 skrooge-2.14.0-3.fc28 texmaker-5.0.2-7.fc28 ugene-1.31.0-4.fc28 xdg-desktop-portal-kde-5.13.5-3.fc28 yarock-1.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 19 Fedora Update System 2019-01-06 03:07:34 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtscxml-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 20 Fedora Update System 2019-01-18 01:37:53 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtscxml-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.